package com.gyee;

import com.gyee.frame.common.spring.InitialRedis;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.scheduling.annotation.EnableScheduling;


/**
 * 项目启动方法
 * @author gyee
 *
 */
@EnableScheduling
@EnableCaching
@SpringBootApplication(exclude = DataSourceAutoConfiguration.class)
public class SpringbootStart {

    public static void main(String[] args) throws Exception {

        SpringApplication.run(SpringbootStart.class, args);


//        InitialRedis initialRedis=new InitialRedis();
//        System.out.println("初始化开始！");
//        initialRedis.intialWindturbinepowercurvefitting();
//        initialRedis.intialWpScatter();
//        initialRedis.intialPjScatter();
//        initialRedis.intialLnScatter();
//        initialRedis.intialWtScatter();
//        System.out.println("初始化完成！");
    }
}
