package com.gyee.frame.common.spring;

/**
 * 
 * 
 * 项目名称：nxfd 类名称：Constant 类描述： 创建人：石林 创建时间：2014-3-4 上午10:07:03 修改人：shilinno1
 * 修改时间：2014-3-4 上午10:07:03 修改备注：
 * 
 * @version
 * 
 */
public class Constant {
	/**
	 * EdnaAPI 时间间隔
	 */
	public static final Long EDNAAPI_PRIED = 30l;
	public static final Long TOP_PRIED = 1800l;

	public static final String TPOINT_ALL_RFDL = "RFDL"; // 汇总日发电量
	public static final String TPOINT_ALL_YFDL = "YFDL"; // 汇总月发电量
	public static final String TPOINT_ALL_NFDL = "NFDL"; // 汇总年发电量
	public static final String TPOINT_ALL_SJGL = "RPJGL"; // 汇总日实际功率
	public static final String TPOINT_ALL_PJFS = "RPJFS"; // 汇总日平均风速

//	public static final String[] TPOINT_WP_AGC = { "AGC001", "AGC002",
//			"AGC004", "AGC005", "AGC006", "AGC007", "AGC008", "AGC011",
//			"AGC014", "AGC015", "AGC021", "AGC022", "AGC023", "AGC024",
//			"AGC025", "AGC026", "AGC031" };
// 自算功率，实时功率，出线有功，有功设定,AGC可调上限,可调下限,远方,投入,减闭锁,增闭锁
	public static final String[] TPOINT_WP_AGC = { "ZZSGL","SSZGL","AGC001", "AGC002",
			"AGC003", "AGC004", "AGC005", "AGC006", "AGC007", "AGC008"};

	public static final String[] TPOINT_WP_AGCYCGL = { "FCFGCDQ0001",
			"FCFGCDQ0002", "FCFGCDQ0003", "FCFGCDQ0004", "FCFGCDQ0005",
			"FCFGCDQ0006", "FCFGCDQ0007", "FCFGCDQ0008", "FCFGCDQ0009",
			"FCFGCDQ0010", "FCFGCDQ0011", "FCFGCDQ0012", "FCFGCDQ0013",
			"FCFGCDQ0014", "FCFGCDQ0015", "FCFGCDQ0016" };
	public static final String TPOINT_WP_FGLYC = "FCFGCDQ0001,FCFGCDQ0003,FCFGCDQ0005,FCFGCDQ0007,FCFGCDQ0009,FCFGCDQ0011,FCFGCDQ0013,FCFGCDQ0015";
	public static final String TPOINT_WP_FGLCDQ1 = "FCFGCDQ0001";
	public static final String TPOINT_WP_FGLCDQ2 = "FCFGCDQ0004,FCFGCDQ0008,FCFGCDQ0012,FCFGCDQ0016";
	public static final String TPOINT_WP_FGLDQ1 = "FCFGDQDT0002";
	public static final String TPOINT_WP_FGLDQ2 = "FCFGDQDT0002,FCFGDQDT0005,FCFGDQDT0009,FCFGDQDT0013,FCFGDQDT0017,FCFGDQDT0021,FCFGDQDT0025,FCFGDQDT0029,FCFGDQDT0033,FCFGDQDT0037,FCFGDQDT0041,FCFGDQDT0045,FCFGDQDT0049,FCFGDQDT0053,FCFGDQDT0057,FCFGDQDT0061,FCFGDQDT0065,FCFGDQDT0069,FCFGDQDT0073,FCFGDQDT0077,FCFGDQDT0081,FCFGDQDT0085,FCFGDQDT0089,FCFGDQDT0093,FCFGDQCT0001";

	public static final String TPOINT_WP_FGLYC4 = "FCFGDQDT0001";
	public static final String TPOINT_WP_FGLYC5 = "FCFGDQDT0004,FCFGDQDT0008,FCFGDQDT0012,FCFGDQDT0016,FCFGDQDT0020,FCFGDQDT0024,FCFGDQDT0028,FCFGDQDT0032,FCFGDQDT0036,FCFGDQDT0040,FCFGDQDT0044,FCFGDQDT0048,FCFGDQDT0052,FCFGDQDT0056,FCFGDQDT0060,FCFGDQDT0064,FCFGDQDT0068,FCFGDQDT0072,FCFGDQDT0076,FCFGDQDT0080,FCFGDQDT0084,FCFGDQDT0088,FCFGDQDT0092,FCFGDQDT0096,FCFGDQCT0004,FCFGDQCT0008,FCFGDQCT0012,FCFGDQCT0016,FCFGDQCT0020,FCFGDQCT0024,FCFGDQCT0028,FCFGDQCT0032,FCFGDQCT0036,FCFGDQCT0040,FCFGDQCT0044,FCFGDQCT0048,FCFGDQCT0052,FCFGDQCT0056,FCFGDQCT0060,FCFGDQCT0064,FCFGDQCT0068,FCFGDQCT0072,FCFGDQCT0076,FCFGDQCT0080,FCFGDQCT0084,FCFGDQCT0088,FCFGDQCT0092,FCFGDQCT0096,FCFGDQST0004,FCFGDQST0008,FCFGDQST0012,FCFGDQST0016,FCFGDQST0020,FCFGDQST0024,FCFGDQST0028,FCFGDQST0032,FCFGDQST0036,FCFGDQST0040,FCFGDQST0044,FCFGDQST0048,FCFGDQST0052,FCFGDQST0056,FCFGDQST0060,FCFGDQST0064,FCFGDQST0068,FCFGDQST0072,FCFGDQST0076,FCFGDQST0080,FCFGDQST0084,FCFGDQST0088,FCFGDQST0092,FCFGDQST0096";


	public static final String TPOINT_WP_FGLYC1HOUR2 = "FCFGCDQ0004,FCFGCDQ0008,FCFGCDQ0012,FCFGCDQ0016";
	public static final String TPOINT_QS3_YGCL = "SLFGL.NX_GD_QSF_YC_P1_L1_001_CDQ002,SLFGL.NX_GD_QSF_YC_P1_L1_001_CDQ004,SLFGL.NX_GD_QSF_YC_P1_L1_001_CDQ006,SLFGL.NX_GD_QSF_YC_P1_L1_001_CDQ008,SLFGL.NX_GD_QSF_YC_P1_L1_001_CDQ010,SLFGL.NX_GD_QSF_YC_P1_L1_001_CDQ012,SLFGL.NX_GD_QSF_YC_P1_L1_001_CDQ014,SLFGL.NX_GD_QSF_YC_P1_L1_001_CDQ016";
	public static final String TPOINT_WP_FGLYCSB = "FCFGCDQ0001A,FCFGCDQ0003A,FCFGCDQ0005A,FCFGCDQ0007A,FCFGCDQ0009A,FCFGCDQ0011A,FCFGCDQ0013A,FCFGCDQ0015A";
	public static final String TPOINT_WP_FGLYC2SB = "FCFGCDQ0002A,FCFGCDQ0004A,FCFGCDQ0006A,FCFGCDQ0008A,FCFGCDQ0010A,FCFGCDQ0012A,FCFGCDQ0014A,FCFGCDQ0016A";

	public static final String TPOINT_WP_FGLYCDT = "FCFGDQDT00";
	public static final String TPOINT_WP_FGLYCST = "FCFGDQST00";
	public static final String TPOINT_WP_FGLYC2 = "FCFGCDQ0002,FCFGCDQ0004,FCFGCDQ0006,FCFGCDQ0008,FCFGCDQ0010,FCFGCDQ0012,FCFGCDQ0014,FCFGCDQ0016";

	public static final String TPOINT_WP_FGLYC24 = "FCFGCDQ0004,FCFGCDQ0008,FCFGCDQ0012,FCFGCDQ0016";

	public static final String TPOINT_WP_YCGL = "RPJGL"; // 风场预测功率短期次天00:00:00
	public static final String TPOINT_WP_PJFS = "RPJFS"; // 电场日平均风速

	public static final String TPOINT_WP_SWDL = "SWDLB"; // 风场上网电量
	public static final String TPOINT_WP_GWDL = "GWGWB"; // 风场购网电量
	public static final String TPOINT_WP_NWGWDL = "NWGWB"; // 农网购网电量

	public static final String AGC001 = "AGC001"; //AGC出线有功
	public static final String AGC002 = "AGC002"; //AGC有功设定


	public static final String TPOINT_AQTS = "AQTS"; // 安全天数
	public static final String TPOINT_JPEYHT = "JPEYHT"; // 减排二氧化碳
	public static final String TPOINT_JPEYHL = "JPEYHL"; // 减排二氧化硫
	public static final String TPOINT_JYBM = "JYBM"; // 节约标煤
	public static final String TPOINT_JYS = "JYS"; // 节约用水
	/**
	 * 空气温度
	 */
	public static final String TPOINT_WP_FCCFTWD = "FCCFTWD";// 温度

	public static int WAITING_STATUS = 0;// 待机
	public static int RUN_STATUS = 1;// 并网
	public static int FAULT_STATUS = 2;// 故障停机
	public static int INTERRUPTION_STATUS = 3;// 通讯中断
	public static int MAINTENANCE_STATUS = 4;// 维护停机
	public static String FAULT_NAME = "故障";
	public static String MAINTENANCE_NAME = "维护";
	public static String WAITING_NAME = "待机";
	public static String RUN_NAME = "运行";
	public static String INTERRUPTION_NAME = "离线";

	public static final String TPOINT_WP_SJGL = "SSZGL"; // 日实际功率
	public static final String TPOINT_WP_SFDL = "SFDL";// 总发电量（升压站）
	public static final String TPOINT_WP_SSFS = "SSFS"; // 实时平均风速

	public static final String TPOINT_WP_ZZYGL = "ZZYGL"; // 最优功率

	public static final String TPOINT_WP_RFDL = "RFDLB"; // 日发电量
	public static final String TPOINT_WP_YFDL = "YFDLB"; // 月发电量
	public static final String TPOINT_WP_NFDL = "NFDLB"; // 年发电量

	// public static final String TPOINT_WP_RFDL = "RFDL"; // 日发电量
	// public static final String TPOINT_WP_YFDL = "YFDL"; // 月发电量
	// public static final String TPOINT_WP_NFDL = "NFDL"; // 年发电量

	public static final String TPOINT_WP_YFDLD = "YFDLD"; // 月发电量-自算

	public static final String TPOINT_WT_RFDL = "RFDL";// 风机日发电量与SCADA日风场发电量
	public static final String TPOINT_WT_DCRFDL = "AI064";// 导出单机发电量
	public static final String TPOINT_WT_YFDL = "YFDL";// 风机月发电量
	public static final String TPOINT_WT_NFDL = "NFDL";// 风机年发电量

	public static final String TPOINT_WT_RFDL2 = "RFDLREAD";// 逆变器日发电量
	public static final String TPOINT_WP_RFDLBZ = "RFDLE";// 日理论发电量
	public static final String TPOINT_WP_ZLLGL = "ZLLGL";// 总理论功率
	public static final String TPOINT_WP_ZZSGL = "ZZSGL";// 总应发功率
	public static final String TPOINT_WP_SWDLN = "SWDLN";// 年上网电量
	public static final String TPOINT_WP_SWDLY = "SWDLY";// 月上网电量

	public static final String TPOINT_WT_XDTS = "XDTS";// 限电台数
	public static final String TPOINT_WT_YXTS = "YXTS";// 运行台数
	public static final String TPOINT_WT_DJTS = "DJTS"; // 待机台数
	public static final String TPOINT_WT_WHTJ = "WHTJ";// 维护台数
	public static final String TPOINT_WT_GZTJ = "GZTJ";// 故障台数
	public static final String TPOINT_WT_TXZD = "TXZD";// 离线台数

	public static final String DJNUM = "DJNUM";// 待机台数
	public static final String TJNUM = "TJNUM";// 手动停机台数
	public static final String FDNUM = "FDNUM"; // 正常发电台数
	public static final String FDJCLNUM = "FDJCLNUM";// 缺陷降出力台数
	public static final String XDJCLNUM = "XDJCLNUM";// 限电降出力台数
	public static final String XDTJNUM = "XDTJNUM";// 限电停机台数
	public static final String GZNUM = "GZNUM";// 故障停机台数
	public static final String CNGZNUM = "CNGZNUM";// 场内受累停机台数
	public static final String JXNUM = "JXNUM"; // 检修停机台数
	public static final String CNJXNUM = "CNJXNUM";// 场内受累检修台数
	public static final String DWSLNUM = "DWSLNUM";// 电网受累台数
	public static final String HJSLNUM = "HJSLNUM";// 环境受累台数
	public static final String LXNUM = "LXNUM";// 风机离线台数






	public static final String TPOINT_WT_FJJJJ = "AI085";// 风机浆距角
	// public static final String TPOINT_WT_DWZWD = "AI071";// 低速轴温度
	// public static final String TPOINT_WT_GWZWD = "AI072";// 高速轴温度



	public static final String TPOINT_WT_BJJD2 = "AI077";// 变桨角度2
	public static final String TPOINT_WT_BJJD3 = "AI078";// 变桨角度3
	public static final String TPOINT_WT_PJFS = "RPJFS"; // 日平均风速
	public static final String TPOINT_WT_PJGL = "RPJGL";// 风机平均功率


	public static final String TPOINT_WT_FJFX = "AI008";// 风机风向
	public static final String TPOINT_WT_FJPL = "AI068";// 风机频率
	public static final String TPOINT_WT_WGGL = "AI131";// 无功功率
	public static final String TPOINT_WT_FJKYL = "AI001";// 风机可用率
	public static final String TPOINT_WT_LQSW = "AI051"; // 冷却水温
	public static final String TPOINT_WT_FJZSXZ = "AI178";// 风机转速限值
	public static final String TPOINT_WT_ZJGD = "AI129"; // 转矩给定
	public static final String TPOINT_WT_FJGLKZXZ = "AI426";// UP97 取值 功率控制限值
	public static final String TPOINT_WT_LLGL = "BZGL";// 风机理论功率
	public static final String TPOINT_WT_YFGL = "ZSGL";// 风机应发功率
	public static final String TPOINT_WT_RFDLZS = "RFDLZS";// 日理论发电量

	// 新增
	public static final String TPOINT_WT_HDL = "AI197";// 耗电量
	public static final String TPOINT_WT_SCZT = "AI427";// 刹车状态

	public static final String TPOINT_WT_FQDDWD = "AI053";// 发电机非驱动端温度
	public static final String TPOINT_WT_HXZD = "AI227_HB";// 横向振动
	public static final String TPOINT_WT_ZXZD = "AI226_HB";// 纵向振动
	public static final String TPOINT_WT_GZDM = "FJBJ";// 故障代码
	public static final String TPOINT_WT_LQSWD = "AI042";// 齿轮箱冷却水温度
	public static final String TPOINT_WT_ZZQDWD = "AI186_HB";// 主轴轴承前驱侧温度



	// public static final String TPOINT_WT_RFDLBZ = "RFDLLL";//日理论发电量

	public static final String TPOINT_WT_RFDLBZ = "RFDLBZ";// 日应发电量

	public static final String TPOINT_WT_NBQJLDY = "AIG061";// 逆变器交流电压
	public static final String TPOINT_WT_NBQJLDL = "AIG060";// 逆变器交流电流
	public static final String TPOINT_WT_NBQZLDY = "AIG081";// 逆变器直流电压
	public static final String TPOINT_WT_NBQZLDL = "AIG078";// 逆变器直流电流

	public static final String TPOINT_WT_NBQPL = "AIG073";// 逆变器频率
	public static final String TPOINT_WT_NBQGLYSSZ = "AIG069";// 功率因数设置
	public static final String TPOINT_WT_NBQGLYSSZ2 = "AIG104";// 功率因数设置
	public static final String TPOINT_WT_NBQZFDL = "AIG064";// 逆变相总发电量
	public static final String TPOINT_WT_NBQKQWD = "AIG071";// 逆变器空气温度
	public static final String TPOINT_WT_NBQXL = "AIG072";// 逆变器效率

	public static final String RFDLD = "RFDLD"; // 日理论发电量
	public static final String RFDLE = "RFDLE"; // 日应发发电量
	public static final String FJZT = "FJZT"; // 风场状态
	public static final String ZTMX = "ZTMX"; // 明细状态
	public static final String ZBZGL = "ZBZGL";// 总保证功率
	public static final String ZSGLZZSGL = "ZZSGL";// 应发功率

	public static final String RLZSSDL = "RLZSSDL"; // 日场内受累检修
	public static final String RSZSSDL = "RSZSSDL"; // 日场内受累故障
	public static final String RWZSSDL = "RWZSSDL"; // 日场外受累电网
	public static final String RTZSSDL = "RTZSSDL"; // 日场外受累天气

	public static final String YLZSSDL = "YLZSSDL"; // 月场内受累检修
	public static final String YSZSSDL = "YSZSSDL"; // 月场内受累故障
	public static final String YWZSSDL = "YWZSSDL"; // 月场外受累电网
	public static final String YTZSSDL = "YTZSSDL"; // 月场外受累天气

	public static final String NLZSSDL = "NLZSSDL"; // 年场内受累检修
	public static final String NSZSSDL = "NSZSSDL"; // 年场内受累故障
	public static final String NWZSSDL = "NWZSSDL"; // 年场外受累电网
	public static final String NTZSSDL = "NTZSSDL"; // 年场外受累天气

	public static final String RQFSSDL = "RQFSSDL"; // 日性能损失电量
	public static final String RXNSSDL_ZS = "RXNSSDL-ZS"; // 日性能损失电量风机

	public static final String RQFSSDL_ZS = "RQFSSDL-ZS";
	public static final String RXDSSDL_ZS = "RXDSSDL-ZS";
	public static final String RWZSSDL_ZS = "RWZSSDL-ZS";
	public static final String RTZSSDL_ZS = "RWZSSDL-ZS";
	public static final String RDJSSDL_ZS = "RDJSSDL-ZS";
	public static final String RSTSSDL_ZS = "RSTSSDL-ZS";
	public static final String RQXSSDL_ZS = "RQXSSDL-ZS";
	public static final String RGZSSDL_ZS = "RGZSSDL-ZS";
	public static final String RSZSSDL_ZS = "RSZSSDL-ZS";
	public static final String RJXSSDL_ZS = "RJXSSDL-ZS";
	public static final String RLZSSDL_ZS = "RLZSSDL-ZS";

	public static final String YQFSSDL_ZS = "YQFSSDL-ZS";
	public static final String YXDSSDL_ZS = "YXDSSDL-ZS";
	public static final String YWZSSDL_ZS = "YWZSSDL-ZS";
	public static final String YTZSSDL_ZS = "YWZSSDL-ZS";
	public static final String YDJSSDL_ZS = "YDJSSDL-ZS";
	public static final String YSTSSDL_ZS = "YSTSSDL-ZS";
	public static final String YQXSSDL_ZS = "YQXSSDL-ZS";
	public static final String YGZSSDL_ZS = "YGZSSDL-ZS";
	public static final String YSZSSDL_ZS = "YSZSSDL-ZS";
	public static final String YJXSSDL_ZS = "YJXSSDL-ZS";
	public static final String YLZSSDL_ZS = "YLZSSDL-ZS";

	public static final String NXNSSDL_ZS = "NXNSSDL-ZS"; // 日性能损失电量风机
	public static final String NQFSSDL_ZS = "NQFSSDL-ZS";
	public static final String NXDSSDL_ZS = "NXDSSDL-ZS";
	public static final String NWZSSDL_ZS = "NWZSSDL-ZS";
	public static final String NTZSSDL_ZS = "NWZSSDL-ZS";
	public static final String NDJSSDL_ZS = "NDJSSDL-ZS";
	public static final String NSTSSDL_ZS = "NSTSSDL-ZS";
	public static final String NQXSSDL_ZS = "NQXSSDL-ZS";
	public static final String NGZSSDL_ZS = "NGZSSDL-ZS";
	public static final String NSZSSDL_ZS = "NSZSSDL-ZS";
	public static final String NJXSSDL_ZS = "NJXSSDL-ZS";
	public static final String NLZSSDL_ZS = "NLZSSDL-ZS";

	// public static final String RQFSSDL = "RXNZSDL"; // 日性能损失电量
	// public static final String RXNSSDL_ZS = "RXNSSDL-ZS"; // 日性能损失电量风机
	public static final String RGZSSDL = "RGZSSDL"; // 日故障损失电量
	public static final String RJXSSDL = "RJXSSDL"; // 日检修损失电量
	public static final String RXDSSDL = "RXDSSDL"; // 日限电损失电量

	public static final String YQFSSDL = "YQFSSDL"; // 月欠发损失电量
	public static final String YXNSSDL_ZS = "YXNSSDL-ZS"; // 月性能损失电量风机

	// public static final String YQFSSDL = "YXNZSDL"; // 月性能损失电量
	// public static final String YXNSSDL_ZS = "YXNSSDL-ZS"; // 月性能损失电量风机
	public static final String YGZSSDL = "YGZSSDL"; // 月故障损失电量
	public static final String YJXSSDL = "YJXSSDL"; // 月检修损失电量
	public static final String YXDSSDL = "YXDSSDL"; // 月限电损失电量

	public static final String NQFSSDL = "NQFSSDL"; // 年欠发损失电量

	// public static final String NQFSSDL = "NXNZSDL"; // 年性能损失电量
	// public static final String NXNSSDL_ZS = "NXNSSDL-ZS"; // 年性能损失电量风机
	public static final String NGZSSDL = "NGZSSDL"; // 年故障损失电量
	public static final String NJXSSDL = "NJXSSDL"; // 年检修损失电量
	public static final String NXDSSDL = "NXDSSDL"; // 年限电损失电量
	/********************************* begin ***********************************/
	/**
	 * 修改五项损失为自算
	 */
	public static final String RSDJZSDL = "RSDJZSDL";
	public static final String RSSTZSDL = "RSSTZSDL";
	public static final String RXNZSDL = "RXNZSDL";
	public static final String RSQXZSDL = "RSQXZSDL";
	public static final String RGZZSDL = "RGZZSDL";
	public static final String RSZZSDL = "RSZZSDL";
	public static final String RJXZSDL = "RJXZSDL";
	public static final String RLZZSDL = "RLZZSDL";
	public static final String RQFZSDL = "RQFZSDL";
	public static final String RXDZSDL = "RXDZSDL";
	public static final String RWZZSDL = "RWZZSDL";
	public static final String RTZZSDL = "RTZZSDL";

	public static final String YSDJZSDL = "YSDJZSDL";
	public static final String YSSTZSDL = "YSSTZSDL";
	public static final String YXNZSDL = "YXNZSDL";
	public static final String YSQXZSDL = "YSQXZSDL";
	public static final String YGZZSDL = "YGZZSDL";
	public static final String YSZZSDL = "YSZZSDL";
	public static final String YJXZSDL = "YJXZSDL";
	public static final String YLZZSDL = "YLZZSDL";
	public static final String YQFZSDL = "YQFZSDL";
	public static final String YXDZSDL = "YXDZSDL";
	public static final String YWZZSDL = "YWZZSDL";
	public static final String YTZZSDL = "YTZZSDL";

	public static final String NSDJZSDL = "NSDJZSDL";
	public static final String NSSTZSDL = "NSSTZSDL";
	public static final String NXNZSDL = "NXNZSDL";
	public static final String NSQXZSDL = "NSQXZSDL";
	public static final String NGZZSDL = "NGZZSDL";
	public static final String NSZZSDL = "NSZZSDL";
	public static final String NJXZSDL = "NJXZSDL";
	public static final String NLZZSDL = "NLZZSDL";
	public static final String NQFZSDL = "NQFZSDL";
	public static final String NXDZSDL = "NXDZSDL";
	public static final String NWZZSDL = "NWZZSDL";
	public static final String NTZZSDL = "NTZZSDL";
	/********************************* end ***********************************/

	public static final String[] TPOINT_WP_CFT = { "FCCFTFS10", "FCCFTFS30",
			"FCCFTFS50", "FCCFTFS60", "FCCFTFS70", "FCCFTFS80", "FCCFTFX10", "FCCFTFX30",
			"FCCFTFX50", "FCCFTFX60", "FCCFTFX70", "FCCFTFX80", "FCCFTWD", "FCCFTSD",
			"FCCFTYQ", "KQMD" };

	/** 场站平均风速
	 * 测风塔数据异常，使用该测点
	 */
	public static final String MHS_TPOINT_SPEED = "MHSFCJSFW.NX_GD_MHSF_XX_XX_XXX_XXX_CI0134";
	public static final String NSS_TPOINT_SPEED = "NSSFCJSFW.NX_GD_NSSF_XX_XX_XXX_XXX_CI0134";
	public static final String QS_TPOINT_SPEED = "QSFCJSFW.NX_GD_QSF_XX_XX_XXX_XXX_CI0134";
	public static final String SBQ_TPOINT_SPEED = "SBQFCJSFW.NX_GD_SBQF_XX_XX_XXX_XXX_CI0134";
	public static final String XS_TPOINT_SPEED = "XSFCJSFW.NX_GD_XSF_XX_XX_XXX_XXX_CI0134";


	public static final String FCCFTFS10 = "FCCFTFS10";// 测风塔10米风速
	public static final String FCCFTFS30 = "FCCFTFS30";// 测风塔30米风速
	public static final String FCCFTFS50 = "FCCFTFS50";// 测风塔50米风速
	public static final String FCCFTFS60 = "FCCFTFS60";// 测风塔60米风速
	public static final String FCCFTFS70 = "FCCFTFS70";// 测风塔70米风速
	public static final String FCCFTFS80 = "FCCFTFS80";// 测风塔80米风速

	public static final String FCCFTFX10 = "FCCFTFX10";// 测风塔10米风向
	public static final String FCCFTFX30 = "FCCFTFX30";// 测风塔30米风向
	public static final String FCCFTFX50 = "FCCFTFX50";// 测风塔50米风向
	public static final String FCCFTFX60 = "FCCFTFX60";// 测风塔60米风向
	public static final String FCCFTFX70 = "FCCFTFX70";// 测风塔70米风向
	public static final String FCCFTFX80 = "FCCFTFX80";// 测风塔80米风向

	public static final String FCCFTWD = "FCCFTWD";// 测风塔温度
	public static final String FCCFTSD = "FCCFTSD";// 测风塔湿度
	public static final String FCCFTYQ = "FCCFTYQ";// 测风塔压强
	public static final String FCCFTMD = "KQMD";// 空气密度

	public static final String YCFJJKZT4HOUR = "JKYC001";// 风机健康状态未来4小时
	public static final String YCFJJKZT1DAY = "JKYC006";// 风机健康状态未来1天
	public static final String YCFJJKZT3DAY = "JKYC011";// 风机健康状态未来3天
	public static final String YCFJJKZT7DAY = "JKYC016";// 风机健康状态未来7天
	public static final String YCFJJKZT1MONTH = "JKYC021";// 风机健康状态未来1个月

	public static final String FJJKZZ = "JKZT100";// 风机健康总状态得分
	public static final String CLXJKJL = "JKJL002";// 齿轮箱健康状态值
	public static final String FDJJKJL = "JKJL003";// 发电机健康状态值
	public static final String BJJKJL = "JKJL004";// 变桨健康值
	public static final String ZKJKJL = "JKJL005";// 主控健康状态值

	public static final String FJJKZT = "JKZT001";// 风机健康状态
	public static final String CLXJKZT = "JKZT002";// 齿轮箱健康状态
	public static final String FDJJKZT = "JKZT003";// 发电机健康状态
	public static final String BJJKZT = "JKZT004";// 变桨健康
	public static final String ZKJKZT = "JKZT005";// 主控健康状态

	public static final String TPOINT_QS3_YGCL4 = "SLFGL.NX_GD_QSF_YC_P1_L1_001_CDQ004, SLFGL.NX_GD_QSF_YC_P1_L1_001_CDQ008, SLFGL.NX_GD_QSF_YC_P1_L1_001_CDQ012, SLFGL.NX_GD_QSF_YC_P1_L1_001_CDQ016";
	public static final String TPOINT_QS3_YGCL24 = "SLFGL.NX_GD_QSF_YC_P1_L1_001_DQ0004, SLFGL.NX_GD_QSF_YC_P1_L1_001_DQ0008, SLFGL.NX_GD_QSF_YC_P1_L1_001_DQ0012, SLFGL.NX_GD_QSF_YC_P1_L1_001_DQ0016, SLFGL.NX_GD_QSF_YC_P1_L1_001_DQ0020, SLFGL.NX_GD_QSF_YC_P1_L1_001_DQ0024, SLFGL.NX_GD_QSF_YC_P1_L1_001_DQ0028, SLFGL.NX_GD_QSF_YC_P1_L1_001_DQ0032, SLFGL.NX_GD_QSF_YC_P1_L1_001_DQ0036, SLFGL.NX_GD_QSF_YC_P1_L1_001_DQ0040, SLFGL.NX_GD_QSF_YC_P1_L1_001_DQ0044, SLFGL.NX_GD_QSF_YC_P1_L1_001_DQ0048, SLFGL.NX_GD_QSF_YC_P1_L1_001_DQ0052, SLFGL.NX_GD_QSF_YC_P1_L1_001_DQ0056, SLFGL.NX_GD_QSF_YC_P1_L1_001_DQ0060, SLFGL.NX_GD_QSF_YC_P1_L1_001_DQ0064, SLFGL.NX_GD_QSF_YC_P1_L1_001_DQ0068, SLFGL.NX_GD_QSF_YC_P1_L1_001_DQ0072, SLFGL.NX_GD_QSF_YC_P1_L1_001_DQ0073, SLFGL.NX_GD_QSF_YC_P1_L1_001_DQ0074, SLFGL.NX_GD_QSF_YC_P1_L1_001_DQ0075, SLFGL.NX_GD_QSF_YC_P1_L1_001_DQ0076, SLFGL.NX_GD_QSF_YC_P1_L1_001_DQ0080, SLFGL.NX_GD_QSF_YC_P1_L1_001_DQ0084, SLFGL.NX_GD_QSF_YC_P1_L1_001_DQ0088, SLFGL.NX_GD_QSF_YC_P1_L1_001_DQ0092, SLFGL.NX_GD_QSF_YC_P1_L1_001_DQ0096";


	public static final String R0QFZT = "R0QFZT"; // 日0欠发电量
	public static final String R1QFZT = "R1QFZT"; // 日1欠发电量
	public static final String R2QFZT = "R2QFZT"; // 日2欠发电量
	public static final String R3QFZT = "R3QFZT"; // 日3欠发电量
	public static final String R4QFZT = "R4QFZT"; // 日4欠发电量

	public static final String FJLHSL = "JKSLLH001";// 风机良好健康状态数量
	public static final String FJZCSL = "JKSLHG001";// 风机正常健康状态数量
	public static final String FJZYSL = "JKSLZY001";// 风机注意健康状态数量
	public static final String FJYZSL = "JKSLYZ001";// 风机严重健康状态数量


	public static final String PCS_WD = "AI287";//Pcs温度
	public static final String TPOINT_WT_U2YZWD = "AI046";//U2绕组温度
	public static final String TPOINT_WT_V2YZWD = "AI048";//V2绕组温度
	public static final String TPOINT_WT_W2YZWD = "AI050";//W2绕组温度

/********************************************变桨*********************************************************************/

	public static final String TPOINT_WT_RYBMQ1 = "AI088";// 冗余编码器1
	public static final String TPOINT_WT_RYBMQ2 = "AI089";// 冗余编码器2
	public static final String TPOINT_WT_RYBMQ3 = "AI090";// 冗余编码器3
	public static final String TPOINT_WT_BJSD1 = "AI091";// 变桨速度1
	public static final String TPOINT_WT_BJSD2 = "AI092";// 变桨速度2
	public static final String TPOINT_WT_BJSD3 = "AI093";// 变桨速度3
	public static final String QSTPOINT_WT_U1YZDL = "AI210";// U1项绕组电流
	public static final String QSTPOINT_WT_U2YZDL = "AI211";// U2项绕组电流
	public static final String QSTPOINT_WT_U3YZDL = "AI212";// U3项绕组电流

	public static final String QSTPOINT_WT_U1YZDY = "AI207";// U1项绕组电压
	public static final String QSTPOINT_WT_U2YZDY = "AI208";// U2项绕组电压
	public static final String QSTPOINT_WT_U3YZDY = "AI209";// U3项绕组电压
	public static final String TPOINT_WT_U1YZDL = "AI061";// U1项绕组电流
	public static final String TPOINT_WT_U2YZDL = "AI062";// U2项绕组电流
	public static final String TPOINT_WT_U3YZDL = "AI063";// U3项绕组电流
	public static final String TPOINT_WT_U1YZDY = "AI058";// U1项绕组电压
	public static final String TPOINT_WT_U2YZDY = "AI059";// U2项绕组电压
	public static final String TPOINT_WT_U3YZDY = "AI060";// U3项绕组电压


	public static final String TPOINT_WT_YP1XW91 = "DI032";// 叶片1的91度限位
	public static final String TPOINT_WT_YP2XW91  = "DI033";// 叶片2的91度限位
	public static final String TPOINT_WT_YP3XW91  = "DI034";// 叶片3的91度限位
	public static final String TPOINT_WT_YP1XW95 = "DI657";// 叶片1的95度限位
	public static final String TPOINT_WT_YP2XW95  = "DI658";// 叶片2的95度限位
	public static final String TPOINT_WT_YP3XW95  = "DI659";// 叶片3的95度限位

/********************************************变桨*********************************************************************/


/********************************************齿轮箱*********************************************************************/

	public static final String TPOINT_WT_RHYLWRKYL = "AI043";// 润滑油滤网入口压力
	public static final String TPOINT_WT_RHYLWCKYL = "AI044";// 润滑油滤网出口压力
	public static final String TPOINT_WT_CLXSRZ1WD = "AI038";// 齿轮箱输入轴1温度
	public static final String TPOINT_WT_CLXSRZ2WD = "AI039";// 齿轮箱输入轴1温度
	public static final String TPOINT_WT_CLXWD = "AI041";// 齿轮箱油温
	public static final String TPOINT_WT_CLXRKYW = "AI301";// 齿轮箱入口油温



	public static final String TPOINT_WT_CLXYW = "DI081";// 齿轮箱油位ok
	public static final String TPOINT_WT_CLXRHYYL = "DI082";//齿轮箱润滑油压力ok
	public static final String TPOINT_WT_CLXRHBDJBH  = "DI834";// 齿轮箱润滑泵电机保护ok
	public static final String TPOINT_WT_CLXRHYJRBH = "DI272";//齿轮箱润滑油加热保护ok
	public static final String TPOINT_WT_CLXRHYLWYC  = "DI087";//齿轮箱润滑油滤网压差ok
	public static final String TPOINT_WT_CLXYJRQBH  = "DI249";//齿轮箱油加热器保护ok

	public static final String TPOINT_WT_QDCLXRHJRQ = "DI840";// 启动齿轮箱润滑加热器
	public static final String TPOINT_WT_QDCLXRHGSBA  = "DI844";//启动齿轮箱润滑高速泵a
	public static final String TPOINT_WT_QDCLXRHGSBB  = "DI845";//启动齿轮箱润滑高速泵a
	public static final String TPOINT_WT_QDCLXYBJRQ = "DI843";//启动齿轮箱油泵加热器


/********************************************齿轮箱*********************************************************************/


/********************************************发电机*********************************************************************/

    public static final String TPOINT_WT_U1YZWD = "AI045";// U1绕组温度
	public static final String TPOINT_WT_V1YZWD = "AI047";// V1绕组温度
	public static final String TPOINT_WT_W1YZWD = "AI049";// W1绕组温度
	public static final String QSTPOINT_WT_U1YZWD = "AI188";// U1绕组温度
	public static final String QSTPOINT_WT_V1YZWD = "AI189";// V1绕组温度
	public static final String QSTPOINT_WT_W1YZWD = "AI190";// W1绕组温度
	public static final String TPOINT_WT_FDJZCAWD = "AI052";// 发电机轴承A温度
	public static final String TPOINT_WT_FDJZCBWD = "AI053";// 发电机轴承B温度
	public static final String TPOINT_WT_FDJLQFWD = "AI054";//发电机冷却风温度
	public static final String TPOINT_WT_FDJHHWD = "AI055";//发电机滑环温度

	public static final String TPOINT_WT_FDJJRQBHZC = "DI254";//发电机加热器保护正常
	public static final String TPOINT_WT_QDFDJJRQ  = "DI827";//启动发电机加热器
	public static final String TPOINT_WT_FDJDSMS  = "DI829";//发电机电刷磨损ok
	public static final String TPOINT_WT_QDKLFS1 = "DI830";//启动空冷风扇1
	public static final String TPOINT_WT_QDKLFS2  = "DI83Q";//启动空冷风扇2
	public static final String TPOINT_WT_KLFSBH1  = "DI069";//空冷风扇保护1正常
	public static final String TPOINT_WT_KLFSBH2 = "DI070";//空冷风扇保护2正常
	public static final String TPOINT_WT_QDSLFS1  = "DI075";//启动水冷风扇1
	public static final String TPOINT_WT_QDSLFSBH1  = "DI823";//水冷风扇保护1正常
	public static final String TPOINT_WT_LQSYL = "DI248";//冷却水压力ok
	public static final String TPOINT_WT_FDJRHYBYW  = "DI828";//发电机润滑油泵液位ok
	public static final String TPOINT_WT_QDFDJRHYB = "DI833";//启动发电机润滑油泵

/********************************************发电机*********************************************************************/

	/********************************************偏航*********************************************************************/

	public static final String TPOINT_WT_DFJD = "AI036";// 对风角度
	public static final String TPOINT_WT_PHWZ = "AI034";// 偏航位置
	public static final String QSTPOINT_WT_PHWZ = "AI206";// 偏航位置


	public static final String TPOINT_WT_PHZJX = "DI110";//偏航左极限位置
	public static final String TPOINT_WT_PHYJX  = "DI111";//偏航右极限位置
	public static final String TPOINT_WT_PHRQDQZC  = "DI109";//偏航软启动器正常
	public static final String TPOINT_WT_ZPHDZ = "DI112";//左偏航动作
	public static final String TPOINT_WT_PHDSCDK  = "DI857";//偏航电刹车打开
	public static final String TPOINT_WT_YPHDZ  = "DI113";//右偏航动作
	public static final String TPOINT_WT_PHRQDQDZ = "DI121";//偏航软启动器动作
	public static final String TPOINT_WT_PHRQDQSN  = "DI120";//偏航软启动器使能
	public static final String TPOINT_WT_PHBMQZL = "DI860";//偏航编码器置零
	public static final String TPOINT_WT_JLDZ = "DI012";//解缆动作
	public static final String TPOINT_WT_PHCGQMTOK = "DI858";//偏航传感器mtOK
	public static final String TPOINT_WT_PHCGQOK  = "DI859";//偏航传感器OK
	public static final String TPOINT_WT_PHZCRHYW  = "DI853";//偏航轴承润滑液位ok
	public static final String TPOINT_WT_PHRHBZCBH = "DI861";//偏航润滑泵轴承保护ok
	public static final String TPOINT_WT_PHDJ1BH  = "DI854";//偏航电机1保护OK
	public static final String TPOINT_WT_PHDJ2BH  = "DI855";//偏航电机2保护OK
	public static final String TPOINT_WT_PHDJ3BH = "DI856";//偏航电机3保护OK
	public static final String TPOINT_WT_PHDJ4BH  = "DI862";//偏航电机4保护OK

/********************************************偏航*********************************************************************/



/********************************************液压*********************************************************************/

	public static final String TPOINT_WT_YYXTYY = "AI018";// 液压系统油压
	public static final String TPOINT_WT_ZZSCXTYY = "AI019";// 转子刹车系统液压
	public static final String TPOINT_WT_YYYW = "AI020";//液压油温
	public static final String TPOINT_WT_FDJLQSWD = "AI300";// 液压系统油压


	public static final String TPOINT_WT_YYYWDCX  = "DI863";//液压油温度超限
	public static final String TPOINT_WT_YYYYW = "DI129";//液压油液位ok
	public static final String TPOINT_WT_YLSCYY  = "DI130";//叶轮刹车液压ok
	public static final String TPOINT_WT_YYBDJBH = "DI131";//液压泵电机保护
	public static final String TPOINT_WT_YYYJRQBH  = "DI132";//液压油加热器保护

/********************************************液压*********************************************************************/
	/********************************************机舱*********************************************************************/

	public static final String TPOINT_WT_YPWZ1 = "AI085";// 叶片位置1
	public static final String TPOINT_WT_YPWZ2 = "AI086";// 叶片位置2
	public static final String TPOINT_WT_YPWZ3 = "AI087";// 叶片位置3
	public static final String TPOINT_WT_FJSSFS = "AI022";// 风机实时风速
	public static final String TPOINT_WT_FJGL = "AI130";// 风机功率
	public static final String TPOINT_WT_GLYS = "AI067";// 功率因数
	public static final String QSTPOINT_WT_BJJD1 = "AI184";// 青山变桨角度1
	public static final String QSTPOINT_WT_FDJZS = "AI223";// 发电机转速
	public static final String TPOINT_WT_BJJD1 = "AI076";// 变桨角度1
	public static final String TPOINT_WT_FDJZS = "AI128";// 发电机转速
	public static final String TPOINT_WT_YLZS = "AI012";// 叶轮转速
	public static final String TPOINT_WT_JCWWD = "AI056";// 机舱外温度
	public static final String TPOINT_WT_JCWD = "AI057";// 机舱温度
	public static final String TPOINT_WT_TDGWD = "AI069";// 塔底柜温度
	public static final String TPOINT_WT_JCGWD = "AI070";// 机舱柜温度

	public static final String TPOINT_WT_YYYYW2 = "DI129";//液压油液位ok
	public static final String TPOINT_WT_YYYWDCX2  = "DI863";//液压油温度超限
	public static final String TPOINT_WT_YLSCYY2  = "DI130";//叶轮刹车液压ok
	public static final String TPOINT_WT_YYBDJBH2 = "DI131";//液压泵电机保护
	public static final String TPOINT_WT_YYYJRQBH2  = "DI132";//液压油加热器保护
	public static final String TPOINT_WT_CLXYW2  = "DI081";//齿轮箱油位ok
	public static final String TPOINT_WT_CLXRHYYL2 = "DI082";//齿轮箱润滑油压力ok
	public static final String TPOINT_WT_CLXRHYJRBH2  = "DI272";//齿轮箱润滑油泵保护开关故障
	public static final String TPOINT_WT_FDJJRQBHZC2 = "DI254";//发电机加热器保护正常
	public static final String TPOINT_WT_LQSYL2 = "DI248";//冷却水压力ok




/********************************************机舱*********************************************************************/

public static final String TPOINT_WT_60FX = "AI011";// 风机60秒风向
	public static final String TPOINT_WT_60PJFS = "AI024";// 风机60秒平均风速
	public static final String TPOINT_WT_1MPJJJY = "AI032";// 1秒平均桨距叶片位置
	public static final String TPOINT_WT_CLXRHYLW = "AI044";// 齿轮箱润滑油滤网出口压力
	public static final String TPOINT_WT_DWGL = "AI065";// 电网功率
	public static final String TPOINT_WT_DWWGGL = "AI066";// 电网无功功率
	public static final String TPOINT_WT_TDGNWD = "AI070";// 塔顶柜温度
	public static final String TPOINT_WT_YLCZZWD = "AI071";// 叶轮侧主轴轴承温度
	public static final String TPOINT_WT_CLXCZZWD = "AI072";// 齿轮箱侧主轴轴承温度
	public static final String TPOINT_WT_FDJZGZ = "DI236";// 发电机总故障
	public static final String TPOINT_WT_CLXZGZ = "DI260";// 齿轮箱总故障
	public static final String TPOINT_WT_BJZGZ = "DI630";// 变桨温度总故障

	public static final String TPOINT_WT_BJLGWD1 = "AI263";// 变桨1轮毂温度
	public static final String TPOINT_WT_BJLGWD2 = "AI264";// 变桨2轮毂温度
	public static final String TPOINT_WT_BJLGWD3 = "AI265";// 变桨3轮毂温度
	public static final String TPOINT_WT_BPQDJZS = "AI128";// 变频器电机转速
	public static final String TPOINT_WT_BPQGL = "AI130";// 变频器功率
	public static final String TPOINT_WT_BPQWGGL = "AI131";// 变频器无功功率

	public static final String TPOINT_WT_DWZWD = "AI038";// 齿轮箱轴1温度
	public static final String TPOINT_WT_GWZWD = "AI039";// 齿轮箱轴2温度

	public static final String TPOINT_WT_DRQWD1 = "AI113";// 电容器温度1
	public static final String TPOINT_WT_DRQWD2 = "AI114";// 电容器温度2
	public static final String TPOINT_WT_DRQWD3 = "AI115";// 电容器温度3
	public static final String TPOINT_WT_BLQWD = "AI239";// 变桨变流器温度
	public static final String TPOINT_WT_BLQWD2 = "AI240";// 变频器温度2
	public static final String TPOINT_WT_BLQWD3 = "AI241";// 变频器温度3
	public static final String TPOINT_WT_DJWD = "AI242";// 伺服电机温度
	public static final String TPOINT_WT_DJWD2 = "AI243";// 电机温度2
	public static final String TPOINT_WT_DJWD3 = "AI244";// 电机温度3


	public static final String JSZT = "JSZT";// 接收状态
}
