package com.gyee.frame.mapper.graphicbilling;

import com.gyee.frame.model.excel.Workticket;
import com.gyee.frame.model.excel.Woworktickeask;
import org.apache.ibatis.annotations.Select;

import java.util.Date;
import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author gfhd
 * @since 2022-11-23
 */
public interface WorkticketMapper {
    @Select("select a.id,a.wonum,a.wtickettype,a.finaltype,a.startdate,a.enddate,a.inceptdate,a.fiatdate,a.remark3,a.finaltime," +
            "a.status,a.statusdate,a.eqnum,a.sitenum,a.corpnum,a.workdept,a.ticketnum,a.startworktime,a.equipment,a.sbms," +
            "a.wtnum,a.gwnum,a.wspeed,b.address,b.location,b.description,b.description2,b.worktype " +
            "from WORKTICKET a left join WOWORKTASK b on a.WONUM=b.WONUM " +
            "where (b.DESCRIPTION2 like '%定检%' or  b.DESCRIPTION2 like '%半年%') and a.STARTDATE>#{startdate}")
    List<Woworktickeask> selectByTime(Date startdate);
}
