package com.gyee.frame.model.auto;

import lombok.Data;

import java.util.Date;

@Data
public class FaultInfo {
    private long id;
    //报警时间
    private Date faultTime;
    //对象类型
    private int messageType;
    //报警内容
    private long snapID;

    private String stationId;

    private String projectId;

    private String lineId;

    private String windturbineId;
    //报警对应故障编码
    private long alertValue;
    //报警级别
    private String rank;

    private String category1;

    private String category2;

    private String category3;

    private boolean isOpened;

    private String stationName;

    private String windturbineName;

    private String alertText;

    private String modelId;
}
