package com.gyee.frame.service.websocket.task;

import com.gyee.frame.common.websocket.WebsocketMessageService;
import com.gyee.frame.service.websocket.MatrixQfPushService;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.Map;

@Component
public class MatrixQfPushTask {
    @Resource
    private MatrixQfPushService matrixQfPushService;
    @Resource
    private WebsocketMessageService websocketMessageService;

    public void matrixPush(String destination) throws Exception {

        Map<String, Object> map=matrixQfPushService.genreSetMap();

        websocketMessageService.SendAlertToAll(destination,map);
    }
}
