package test;

import com.gyee.SpringbootStart;
import com.gyee.frame.common.domain.AjaxResult;
import com.gyee.frame.common.spring.SpringUtils;
import com.gyee.frame.controller.warn.TemperatureController;
import com.gyee.frame.model.custom.Tablepar;
import com.gyee.frame.model.custom.TemperatureVo;
import lombok.SneakyThrows;
import org.springframework.boot.SpringApplication;

import java.util.Calendar;
import java.util.Date;
import java.util.List;

public class TemperatureControllerTest {

    @SneakyThrows
    public static void main(String[] args) {

        SpringApplication.run(SpringbootStart.class, args);



//        String wtId="MG01_03";
        String wpId="MHS_FDC";
        String year="2021";
        String month="1";

        TemperatureController temperatureController= SpringUtils.getBean("temperatureController");


        Tablepar tablepar=new Tablepar();
        tablepar.setPageNum(1);
        tablepar.setPageSize(10);
        tablepar.setOrderByColumn(null);
        tablepar.setIsAsc(null);

        Calendar c = Calendar.getInstance();

        c.set(Calendar.HOUR_OF_DAY, 0);
        c.set(Calendar.MINUTE, 0);
        c.set(Calendar.SECOND, 0);

        c.set(Calendar.DAY_OF_MONTH,1);
        c.set(Calendar.MONTH,0);
        c.set(Calendar.YEAR,2021);

        Date beginDate = c.getTime();

        c.add(Calendar.DAY_OF_MONTH,1);

        Date endDate = c.getTime();

        AjaxResult result= temperatureController.getTemperatureList("MHS_FDC","yyz");
        AjaxResult result2= temperatureController.getTemperatureList("MHS_FDC","clx");
        AjaxResult result3= temperatureController.getTemperatureList("MHS_FDC","fdj");
        AjaxResult result4= temperatureController.getTemperatureList("MHS_FDC","bj");
        AjaxResult result5= temperatureController.getTemperatureList("MHS_FDC","zz");
        AjaxResult result6= temperatureController.getTemperatureList("MHS_FDC","zd");
        AjaxResult result7= temperatureController.getTemperatureList("MHS_FDC","qt");

        List<List<TemperatureVo>> ls=(List<List<TemperatureVo>>)result.get("data");
        System.out.println(ls.size());

//        AjaxResult ar = singleAnalysisController.singleanalysisSub(wtId,year,month);
//
//        Map<String,Object> map=( Map<String,Object>)ar.get("data");
//        for(SingleAnalysisVo wtd:vos)
//        {
//            System.out.println(wtd.getXfqr()+"----------------"+wtd.getXfqrhgl());
//        }
//
//        AjaxResult ar = singleAnalysisController.singleanalysisChart(wtId,year,month);
//
//        Map<String, List<SingleAnalysisVo>> map=( Map<String,List<SingleAnalysisVo>>)ar.get("data");
//        List<SingleAnalysisVo> vos=map.get("ff");
//        for(SingleAnalysisVo wtd:vos)
//        {
//            System.out.println(wtd.getFdl()+"----------------"+wtd.getFs());
//        }
//
//        System.out.println("---------------------------------------------------------------------------------");
//        vos=map.get("ws");
//        for(SingleAnalysisVo wtd:vos)
//        {
//            System.out.println(wtd.getGzss()+"----------------"+wtd.getJxss()+"----------------"+wtd.getXdss()
//                    +"----------------"+wtd.getXnss()+"----------------"+wtd.getSlss());
//        }
//        System.out.println("---------------------------------------------------------------------------------");
//        vos=map.get("jd");
//        for(SingleAnalysisVo wtd:vos)
//        {
//            System.out.println(wtd.getJfpl()+"----------------"+wtd.getTjxs());
//        }
//
//
//
    }
}
