package test;

import com.gyee.SpringbootStart;
import com.gyee.frame.common.spring.SpringUtils;
import com.gyee.frame.model.auto.Windturbineinfodaytop;
import com.gyee.frame.model.custom.Tablepar;
import com.gyee.frame.service.WindturbineinfodaytopService;
import com.gyee.frame.util.DateUtils;
import lombok.SneakyThrows;
import org.springframework.boot.SpringApplication;

import java.util.List;

public class WindturbineinfodaytopTest {

    @SneakyThrows
    public static void main(String[] args) {

        SpringApplication.run(SpringbootStart.class, args);



        String wtId="MG01_03";
        String wpId="MHS_FDC";
        String year="2021";
        String month="1";

        WindturbineinfodaytopService windturbineinfodaytopService= SpringUtils.getBean("windturbineinfodaytopService");

        Tablepar tablepar=new Tablepar();
        tablepar.setPageNum(1);
        tablepar.setPageSize(10);
        tablepar.setOrderByColumn(null);
        tablepar.setIsAsc(null);



        List<Windturbineinfodaytop> dayls = windturbineinfodaytopService.gadayhistlist(wtId, DateUtils.parseStrtoDate("2021-01-03"));
        List<Windturbineinfodaytop> monthls= windturbineinfodaytopService.gamonthhistlist(wtId, "2021","7");
        List<Windturbineinfodaytop> years = windturbineinfodaytopService.gayearhistlist(wtId, "2021");



        for(Windturbineinfodaytop wtd:dayls)
        {
            System.out.println(wtd.getRecorddate()+"----------------"+wtd.getDaydxkyxs()
                    +"----------------"+wtd.getDayfdl()+"----------------"+wtd.getWindturbineid());
        }


//        AjaxResult ar = singleAnalysisController.singleanalysisSub(wtId,year,month);
//
//        Map<String,Object> map=( Map<String,Object>)ar.get("data");
//        for(SingleAnalysisVo wtd:vos)
//        {
//            System.out.println(wtd.getXfqr()+"----------------"+wtd.getXfqrhgl());
//        }
//
//        AjaxResult ar = singleAnalysisController.singleanalysisChart(wtId,year,month);
//
//        Map<String, List<SingleAnalysisVo>> map=( Map<String,List<SingleAnalysisVo>>)ar.get("data");
//        List<SingleAnalysisVo> vos=map.get("ff");
//        for(SingleAnalysisVo wtd:vos)
//        {
//            System.out.println(wtd.getFdl()+"----------------"+wtd.getFs());
//        }
//
//        System.out.println("---------------------------------------------------------------------------------");
//        vos=map.get("ws");
//        for(SingleAnalysisVo wtd:vos)
//        {
//            System.out.println(wtd.getGzss()+"----------------"+wtd.getJxss()+"----------------"+wtd.getXdss()
//                    +"----------------"+wtd.getXnss()+"----------------"+wtd.getSlss());
//        }
//        System.out.println("---------------------------------------------------------------------------------");
//        vos=map.get("jd");
//        for(SingleAnalysisVo wtd:vos)
//        {
//            System.out.println(wtd.getJfpl()+"----------------"+wtd.getTjxs());
//        }
//
//
//
    }
}
